<?php

/**
 * @file
 * Plugin for entity behaviors skrollr.
 */

$plugin = array(
  'name' => 'skrollr',
  'label' => t('Add skrollr behaviors to entities.'),
  'handler' => 'entity_behaviors_skrollr_behavior',
);

function entity_behaviors_skrollr_behavior($selector, $entity) {
  if (($library = libraries_load(EBS_SKROLLR_LIBRARY)) && !empty($library['loaded'])) {
    $options = array();
    $wrapper = entity_metadata_wrapper('field_collection_item', $entity);
    foreach ($wrapper->{EBS_SKROLLR_FIELD}->getIterator() as $delta => $value) {
      list($attr, $attr_value) = explode("=", $value->value(array('sanitize' => TRUE)));
      $options[$attr] = $attr_value;
    }
    // If options is not empty then load library.
    if (!empty($options)) {
      $js_settings = array($selector => $options);
      drupal_add_js(array('entity_behaviors_skrollr' => $js_settings), 'setting');
      // Add skrollr.js plugin.
      drupal_add_js(drupal_get_path('module', 'entity_behaviors_skrollr') . '/plugins/entity_behaviors/skrollr.js');
    }

  }
}